libzypp 17.37.10

ResObject.cc File Reference
`#include <zypp/ResObject.h>`
`#include <zypp/ResObjects.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | OUTS(X)

## Functions
| zypp::IMPL_PTR_TYPE (ResObject)
ResObject::Ptr | zypp::makeResObject (const sat::Solvable &solvable_r)
| Create ResObject from sat::Solvable.

## Macro Definition Documentation

## ◆ OUTS

#define OUTS | ( |  | X | ) |

Value:
if ( kind == ResTraits<X>::kind ) return make<X>( solvable_r );
zypp::make
ResTraits< TRes >::PtrType make(const sat::Solvable &solvable_r)
Directly create a certain kind of ResObject from sat::Solvable.
Definition ResObject.h:118
zypp::kind
const ResKind ResTraits< Package >::kind(ResKind::package)
zypp::ResTraits
ResTraits.
Definition ResTraits.h:80